CascadingRuntimeException (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.CascadingRuntimeException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework
Class CascadingRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.avalon.framework.CascadingRuntimeException

All Implemented Interfaces:
  CascadingThrowable, Serializable

public class CascadingRuntimeException
extends RuntimeException
implements CascadingThrowable

Class from which all exceptions should inherit. Allows recording of nested exceptions.

Version:
  CVS $Revision: 1.12 $ $Date: 2003/02/11 15:58:37 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`CascadingRuntimeException(String message, Throwable throwable)` Construct a new `CascadingRuntimeException` instance.

Method Summary
`Throwable` | `getCause()` Retrieve root cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadingRuntimeException

    public CascadingRuntimeException(String message,
                                     Throwable throwable)

  Construct a new `CascadingRuntimeException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception

Method Detail

### getCause

    public final Throwable getCause()

  Retrieve root cause of the exception.

  Specified by:
    `getCause` in interface `CascadingThrowable`
  Returns:
    the root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.